> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask a question

> Asks a question (in reference to a document), returning a question ID and a job status ID to track the completion state. Maximum questions per user is 100.

## Ask a question

Asks a question (in reference to a document), returning a question ID and a job status ID to track the completion state. Maximum questions per user is 100.

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "document_ids": [
      123
    ],
    "chunk_type": "string",
    "question": "string",
    "llm_provider": "string",
    "answer_mode": "string"
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "job_status_id": "string",
    "status": "string",
    "error_message": {},
    "question_id": 123
  }
  ```
</ResponseExample>
